### Constructor

# Clutter Text new_full

#### Declaration [src]

    ClutterActor*
    clutter_text_new_full (
      const gchar* font_name,
      const gchar* text,
      const CoglColor* color
    )

#### Description [src]

Creates a new `ClutterText` actor, using `font_name` as the font description; `text` will be used to set the contents of the actor; and `color` will be used as the color to render `text`.

This function is equivalent to calling `clutter_text_new()`, `clutter_text_set_font_name()`, `clutter_text_set_text()` and `clutter_text_set_color()`.

#### Parameters

`font_name`

  Type: `const gchar*`

  A string with a font description.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const gchar*`

  The contents of the actor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `CoglColor`

  The color to be used to render `text`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterActor`

The newly created `ClutterText` actor.

The data is owned by the called function.